Subject: Re: cygwin 1.13.11-3 and Xwindows
From: Nicholas Wourms <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 1 Jul 2002 06:01:45 -0700 (PDT)

Mark,

Try using the latest Snapshot, as this problem has been resolved there. 
You will also need to regenerate your /etc/passwd and /etc/groups files
once this is done.  Hope this helps.

To update to the latest snapshot, follow the directions at:
http://cygwin.com/ml/cygwin/2002-06/msg01702.html

Cheers,
Nicholas

--- [email-masked] wrote:
> Hi,
> 
>   I've just upgraded by cygwin installation to DLL 1.13.11-3. I'm now
> not able to start X-Windows - I get the following after doing a startx:
> 
> waiting for X server to shut down XIO:  fatal IO error 110 (Cannot send
> after tr
> ansport endpoint shutdown) on X server ":0.0"
>       after 198 requests (196 known processed) with 3 events remaining.
> XIO:  fatal IO error 110 (Cannot send after transport endpoint shutdown)
> on X se
> rver ":0.0"
>       after 44 requests (42 known processed) with 0 events remaining.
> 
> Cygwin is running on NT workstation - SP6a. 
> 
> The X server seems to be dying when xterm tried to start. Starting up
> the server and twm by hand, everything is fine. However, if I start an
> "xterm -hold", the xterm reports "setuid failed: Invalid arguement".
> 
> Looking at the release notes, I see that there have been changes to the
> uid and gid code. Anything to do with it?
> 
> Thanks
> 
> Mark Doutre
> 
> 
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

__________________________________________________
Do You Yahoo!?
Yahoo! - Official partner of 2002 FIFA World Cup
http://fifaworldcup.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/